Update Multiple Document Attachment Descriptions
Update multiple document attachments in bulk with a JSON or CSV input file. This works for version-specific attachments and attachments at the document level. You can only update the latest version of an attachment.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
PUT
/api/{version}/objects/documents/attachments/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or text/csv or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV or JSON input file.
| Name | Description |
|---|---|
idconditional | The attachment ID to update. Not required if providing a unique field identifier (idParam) such as external_id__v. |
external_id__vconditional | Identify attachments by their external ID instead of regular id. You must also add the idParam=external_id__v query parameter. |
description__vrequired | Description of the attachment. Maximum 1,000 characters. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
idParam | If you’re identifying attachments in your input by external id, add idParam=external_id__v to the request endpoint. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\update_attachments.csv" \
https://myvault.veevavault.com/api/v25.2/objects/documents/attachments/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 38,
"version": 2
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response gives the id and version of all successfully updated attachments.